# cryptpad

![Version: 0.3.3](https://img.shields.io/badge/Version-0.3.3-informational?style=flat-square) ![AppVersion: v4.14.1-nginx](https://img.shields.io/badge/AppVersion-v4.14.1--nginx-informational?style=flat-square)

cryptpad helm package

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/xwiki-labs/cryptpad-docker>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install cryptpad k8s-at-home/cryptpad
```

## Installing the Chart

To install the chart with the release name `cryptpad`

```console
helm install cryptpad k8s-at-home/cryptpad
```

## Uninstalling the Chart

To uninstall the `cryptpad` deployment

```console
helm uninstall cryptpad
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install cryptpad \
  --set env.TZ="America/New York" \
    k8s-at-home/cryptpad
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install cryptpad k8s-at-home/cryptpad -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| config | object | `{"installMethod":"helm","logFeedback":false,"logLevel":"info","logToStdout":true,"verbose":false}` |  See: https://github.com/xwiki-labs/cryptpad/blob/main/config/config.example.js httpUnsafeOrigin and httpSafeOrigin are automatically derived from the first and second host defined in the main ingress, respectively. |
| config.logLevel | string | `"info"` |     - "[cryptpad-user1@my.awesome.website/YZgXQxKR0Rcb6r6CmxHPdAGLVludrAF2lEnkbx1vVOo=]" |
| env | object | See below | environment variables. See more environment variables in the [cryptpad documentation](https://cryptpad.org/docs). |
| env.CPAD_MAIN_DOMAIN | string | `"{{ (index .Values.ingress.main.hosts 0).host }}"` |  respectively. These env vars are used in the internal nginx. |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"promasu/cryptpad"` | image repository |
| image.tag | string | `""` | image tag (overrides appVersion) |
| ingress.main.enabled | bool | `false` |  |
| ingress.main.hosts[0].host | string | `"cryptpad.local"` |  |
| ingress.main.hosts[0].paths[0].path | string | `"/"` |  |
| ingress.main.hosts[1].host | string | `"sec.cryptpad.local"` |  |
| ingress.main.hosts[1].paths[0].path | string | `"/"` |  |
| ingress.main.ingressClassName | string | `""` |  |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. |
| podSecurityContext.fsGroup | int | `4001` |  |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 0.3.3

#### Added

N/A

#### Changed

* Upgraded cryptpad-docker to v4.14.1-nginx

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/cryptpad?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
