# sinusbot

![Version: 0.4.2](https://img.shields.io/badge/Version-0.4.2-informational?style=flat-square) ![AppVersion: 1.0.0-beta.14](https://img.shields.io/badge/AppVersion-1.0.0--beta.14-informational?style=flat-square)

TeamSpeak & Discord Bot

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/sinusbot/sinusbot-docker>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install sinusbot k8s-at-home/sinusbot
```

## Installing the Chart

To install the chart with the release name `sinusbot`

```console
helm install sinusbot k8s-at-home/sinusbot
```

## Uninstalling the Chart

To uninstall the `sinusbot` deployment

```console
helm uninstall sinusbot
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install sinusbot \
  --set env.TZ="America/New York" \
    k8s-at-home/sinusbot
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install sinusbot k8s-at-home/sinusbot -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See below | environment variables. See more environment variables in the [${CHARTNAME} documentation](https://${CHARTNAME}.org/docs). |
| env.GID | string | `"1001"` | Specify the group ID the application will run as |
| env.UID | string | `"1001"` | Specify the user ID the application will run as |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"sinusbot/docker"` | image repository |
| image.tag | string | `"1.0.0-beta.14-dc94a7c"` | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| nodeSelector | object | `{"kubernetes.io/arch":"amd64"}` | The official SinusBot image is only available for x86_64. |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. Choose either -- a single volume for all data or separate volumes for each sub-directory. |
| persistence.data | object | `{"enabled":false,"mountPath":"/opt/sinusbot/data"}` | separate volumes |
| persistence.sinusbot | object | `{"enabled":false,"subPath":[{"mountPath":"/opt/sinusbot/data","path":"data"},{"mountPath":"/opt/sinusbot/scripts","path":"scripts"}]}` | single volume |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 0.4.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/sinusbot?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
