# autobrr

![Version: 1.0.0](https://img.shields.io/badge/Version-1.0.0-informational?style=flat-square) ![AppVersion: v0.23.0](https://img.shields.io/badge/AppVersion-v0.23.0-informational?style=flat-square)

autobrr is a cross-platform free and open-source BitTorrent client

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/autobrr/autobrr>
* <https://github.com/k8s-at-home/container-images>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install autobrr k8s-at-home/autobrr
```

## Installing the Chart

To install the chart with the release name `autobrr`

```console
helm install autobrr k8s-at-home/autobrr
```

## Uninstalling the Chart

To uninstall the `autobrr` deployment

```console
helm uninstall autobrr
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install autobrr \
  --set env.TZ="America/New York" \
    k8s-at-home/autobrr
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install autobrr k8s-at-home/autobrr -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| config | string | `"# config.toml\n\n# Hostname / IP\n#\n# Default: \"localhost\"\n#\nhost = \"0.0.0.0\"\n\n# Port\n#\n# Default: 7474\n#\nport = 7474\n\n# Base url\n# Set custom baseUrl eg /autobrr/ to serve in subdirectory.\n# Not needed for subdomain, or by accessing with the :port directly.\n#\n# Optional\n#\n#baseUrl = \"/autobrr/\"\n\n# autobrr logs file\n# If not defined, logs to stdout\n#\n# Optional\n#\n#logPath = \"log/autobrr.log\"\n\n# Log level\n#\n# Default: \"DEBUG\"\n#\n# Options: \"ERROR\", \"DEBUG\", \"INFO\", \"WARN\"\n#\nlogLevel = \"INFO\"\n\n# Session secret\n#\nsessionSecret = \"secret-session-key\"\n\n# Custom definitions\n#\n#customDefinitions = \"test/definitions\"\n"` |  |
| env | object | See below | environment variables. See [image docs](https://docs.k8s-at-home.com/our-container-images/configuration/) for more details. |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"ghcr.io/autobrr/autobrr"` | image repository |
| image.tag | string | `nil` |  |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 1.0.0

#### Added

* Initial release

#### Changed

N/A

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/autobrr?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
