# ghost

![Version: 1.4.2](https://img.shields.io/badge/Version-1.4.2-informational?style=flat-square) ![AppVersion: 4.37.0](https://img.shields.io/badge/AppVersion-4.37.0-informational?style=flat-square)

Ghost is a blogging and publishing software

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/TryGhost/Ghost>
* <https://github.com/TryGhost/Ghost-CLI>

## Requirements

Kubernetes: `>=1.19.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://charts.bitnami.com/bitnami | mariadb | 10.5.1 |
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install ghost k8s-at-home/ghost
```

## Installing the Chart

To install the chart with the release name `ghost`

```console
helm install ghost k8s-at-home/ghost
```

## Uninstalling the Chart

To uninstall the `ghost` deployment

```console
helm uninstall ghost
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install ghost \
  --set env.TZ="America/New York" \
    k8s-at-home/ghost
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install ghost k8s-at-home/ghost -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env.NODE_ENV | string | `"production"` |  |
| env.database__client | string | `"mysql"` |  |
| env.database__connection__database | string | `"ghost"` |  |
| env.database__connection__host | string | `"ghost-mariadb"` |  |
| env.database__connection__password | string | `"ghost"` |  |
| env.database__connection__user | string | `"ghost"` |  |
| env.url | string | `"http://some-ghost.example.com"` |  |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"ghost"` | image repository |
| image.tag | string | chart.appVersion | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| mariadb.architecture | string | `"standalone"` |  |
| mariadb.auth.database | string | `"ghost"` |  |
| mariadb.auth.password | string | `"ghost"` |  |
| mariadb.auth.rootPassword | string | `"ghost-rootpass"` |  |
| mariadb.auth.username | string | `"ghost"` |  |
| mariadb.enabled | bool | `false` |  |
| mariadb.primary.persistance.enabled | bool | `false` |  |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 1.4.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/ghost?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
