# icantbelieveitsnotvaletudo

![Version: 5.3.2](https://img.shields.io/badge/Version-5.3.2-informational?style=flat-square) ![AppVersion: 2021.2.1](https://img.shields.io/badge/AppVersion-2021.2.1-informational?style=flat-square)

Create live map data from Valetudo powered robots

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/Hypfer/ICantBelieveItsNotValetudo>
* <https://github.com/k8s-at-home/charts/tree/master/charts/icantbelieveitsnotvaletudo>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install icantbelieveitsnotvaletudo k8s-at-home/icantbelieveitsnotvaletudo
```

## Installing the Chart

To install the chart with the release name `icantbelieveitsnotvaletudo`

```console
helm install icantbelieveitsnotvaletudo k8s-at-home/icantbelieveitsnotvaletudo
```

## Uninstalling the Chart

To uninstall the `icantbelieveitsnotvaletudo` deployment

```console
helm uninstall icantbelieveitsnotvaletudo
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install icantbelieveitsnotvaletudo \
  --set env.TZ="America/New York" \
    k8s-at-home/icantbelieveitsnotvaletudo
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install icantbelieveitsnotvaletudo k8s-at-home/icantbelieveitsnotvaletudo -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| config | object | See values.yaml | Configures app settings. See [image docs](https://github.com/Hypfer/ICantBelieveItsNotValetudo) for more information. |
| controller.strategy | string | `"RollingUpdate"` | Set the controller upgrade strategy |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"pmaksymiuk/icantbelieveitsnotvaletudo"` | image repository |
| image.tag | string | `"2021.2.1"` | image tag |

## Changelog

### Version 5.3.2

#### Added

N/A

#### Changed

* Upgraded `common` chart dependency to version 4.4.2

#### Fixed

N/A

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/icantbelieveitsnotvaletudo?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
