# mealie

![Version: 5.0.1](https://img.shields.io/badge/Version-5.0.1-informational?style=flat-square) ![AppVersion: v1.0.0beta-2](https://img.shields.io/badge/AppVersion-v1.0.0beta--2-informational?style=flat-square)

Mealie is a self hosted recipe manager and meal planner with a RestAPI backend and a reactive frontend application built in Vue for a pleasant user experience for the whole family.

**This chart is not maintained by the upstream project and any issues with the chart should be raised [here](https://github.com/k8s-at-home/charts/issues/new/choose)**

## Source Code

* <https://github.com/hay-kot/mealie>

## Requirements

Kubernetes: `>=1.16.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.4.2 |

## TL;DR

```console
helm repo add k8s-at-home https://k8s-at-home.com/charts/
helm repo update
helm install mealie k8s-at-home/mealie
```

## Installing the Chart

To install the chart with the release name `mealie`

```console
helm install mealie k8s-at-home/mealie
```

## Uninstalling the Chart

To uninstall the `mealie` deployment

```console
helm uninstall mealie
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml) from the [common library](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install mealie \
  --set env.TZ="America/New York" \
    k8s-at-home/mealie
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install mealie k8s-at-home/mealie -f values.yaml
```

## Custom configuration

N/A

## Values

**Important**: When deploying an application Helm chart you can add more values from our common library chart [here](https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| api.env | object | See below | environment variables. See [backend config](https://nightly.mealie.io/documentation/getting-started/installation/backend-config/) for more details. |
| api.env.TZ | string | `"UTC"` | Set the container timezone |
| api.image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| api.image.repository | string | `"hkotel/mealie"` | image repository |
| api.image.tag | string | `"api-v1.0.0beta-2"` | image tag |
| api.volumeMounts | list | See below | volume mounts. Name should match a key in .Values.persistence |
| env | object | See below | environment variables. See [frontend config](https://nightly.mealie.io/documentation/getting-started/installation/frontend-config/) for more details. |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"hkotel/mealie"` | image repository |
| image.tag | string | `"frontend-v1.0.0beta-2"` | image tag |
| ingress.main | object | See values.yaml | Enable and configure ingress settings for the chart under this key. |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. |
| service | object | See values.yaml | Configures service settings for the chart. |

## Changelog

### Version 5.0.1

#### Added

N/A

#### Changed

N/A

#### Fixed

* Fixed loading API environment variables.

### Older versions

A historical overview of changes can be found on [ArtifactHUB](https://artifacthub.io/packages/helm/k8s-at-home/mealie?modal=changelog)

## Support

- See the [Docs](https://docs.k8s-at-home.com/our-helm-charts/getting-started/)
- Open an [issue](https://github.com/k8s-at-home/charts/issues/new/choose)
- Ask a [question](https://github.com/k8s-at-home/organization/discussions)
- Join our [Discord](https://discord.gg/sTMX7Vh) community

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v0.1.1](https://github.com/k8s-at-home/helm-docs/releases/v0.1.1)
