# otel-collector

![Version: 1.0.0](https://img.shields.io/badge/Version-1.0.0-informational?style=flat-square) ![AppVersion: 0.46.0](https://img.shields.io/badge/AppVersion-0.46.0-informational?style=flat-square)

OpenTelemetry collector helm package

**Homepage:** <https://github.com/k8s-at-home/charts/tree/master/charts/stable/otel-collector>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| mterhar | mike@terhar.com |  |

## Source Code

* <https://github.com/otel-collector/otel-collector-docker>

## Requirements

Kubernetes: `>=1.16.0-0`

| Repository | Name | Version |
|------------|------|---------|
| https://library-charts.k8s-at-home.com | common | 4.3.0 |

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| configFile | string | `nil` | Create a new secret with the following multi-line spec which gets mounted to /conf/otel-collector-config.yaml. For more information, see the [otel docs](https://opentelemetry.io/docs/collector/configuration/) |
| configFileSecret | string | `nil` | Configure the open telemetry secret using an existing secret or create a configuration file using the `configFile` below The secret needs a single key inside it called `otelConfigFile` |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"otel/opentelemetry-collector-contrib"` | image repository |
| image.tag | string | `nil` | image tag |
| ingress.main | object | disabled | Enable and configure ingress settings for the chart under this key. This OTEL Collector is built to trust items within the same cluster so exposing externally will allow unauthenticated traces to be processed. |
| metrics.enabled | bool | enabled: false is set so it can scrape itself but | Configure Prometheus serviceMonitor for the built-in exporter. circular dependencies are never good enable this for a secondary scraper |
| metrics.prometheusRule | object | See values.yaml | Enable and configure Prometheus Rules for the chart under this key. |
| metrics.prometheusRule.rules | list | See prometheusrules.yaml | Configure additionial rules for the chart under this key. |
| metrics.serviceMonitor.interval | string | `"3m"` |  |
| metrics.serviceMonitor.labels | object | `{}` |  |
| metrics.serviceMonitor.scrapeTimeout | string | `"1m"` |  |
| probes | object | expects config to include `extensions:health_check:endpoint: 0.0.0.0:13133` | probes is configured to use an otel extension to get health information from the pod |
| service | object | The defaults expose the services needed to receive http and otlp traces | Configures service settings for the chart. |
| serviceAccount.annotations | object | `{}` | Annotations to add to the service account |
| serviceAccount.create | bool | `false` | Specifies whether a service account should be created |
| serviceAccount.name | string | `""` | The name of the service account to use. If not set and create is true, a name is generated using the fullname template |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.7.0](https://github.com/norwoodj/helm-docs/releases/v1.7.0)
